# ZIP archive reader

ZipReader class instance looks up MIB files in local ZIP archive. ZIP subdirectories and embedded ZIP archives would be traversed.

class pysmi.reader.zipreader.ZipReader(path, ignoreErrors=True)

  Fetch ASN.1 MIB text by name from a ZIP archive.

  ZipReader class instance tries to locate ASN.1 MIB files by name, fetch and return their contents to caller.

  Create an instance of ZipReader serving a ZIP archive.

  Parameters:

    path (str) – path to ZIP archive containing MIB files

  Keyword Arguments:

    ignoreErrors (bool) – ignore ZIP archive access errors